%global packname  nws

Name:             R-%{packname}
Version:          2.0.0.3
Release:          2%{?dist}
Summary:          R functions for NetWorkSpaces and Sleigh

Group:            Applications/Productivity
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/nws/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires:         R-core
BuildRequires:    R-devel, tetex-latex
# Testing wants these, but I can't find them. :/
# BuildRequires:    R-sprngNWS R-Revobase

%description
Provides coordination and parallel execution facilities, as well as limited 
cross-language data exchange, using the netWorkSpaces server developed by 
REvolution Computing.

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css

# fix exec permissions
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/sleigh/mc_sim.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/ping.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/pong.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/hello.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/bin/nwsutil.py

%check
# %%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/examples/
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/ChangeLog
%doc %{_datadir}/R/library/%{packname}/README*
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/bin/
%{_datadir}/R/library/%{packname}/data/
%{_datadir}/R/library/%{packname}/demo/
%{_datadir}/R/library/%{packname}/help

%changelog
* Thu Jan 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.0.3-2
- fix FTBFS

* Mon Oct  5 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.0.3-1
- update to 2.0.0.3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.7.0.0-2
- Rebuild for Python 2.6

* Thu Oct 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.7.0.0-1
- update to 1.7.0.0

* Tue Jul 8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.3-1
- initial package for Fedora
